Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.discussion
Class TopicProperty

    java.lang.Object
      |
      +--com.compoze.discussion.TopicProperty

All Implemented Interfaces:
  com.compoze.common.IProperty, java.io.Serializable

public class TopicProperty
extends java.lang.Object
implements com.compoze.common.IProperty, java.io.Serializable

This class stores the values for the `Topic` property tags. Unless you are working with property name, for example if you're working with sorting, you do not need to worry about these constants as their use is mostly abstracted away from the programmer.

The internationalizable string values are stored in the `discussion_resources.properties` file (accessed through `DiscussionResources`) and referenced by their key.

See Also:
  Serialized Form

Field Summary
`static TopicProperty` | `APPROVAL_STATUS` This value represents the topic property 'approval status'.
`static TopicProperty` | `AUTHOR` This value represents the topic property 'author'.
`static TopicProperty` | `CONTENT_TYPE` This value represents the forum property 'content type'.
`static TopicProperty` | `CUSTOM_NUM1` This value represents the topic property 'custom num 1'.
`static TopicProperty` | `CUSTOM_NUM2` This value represents the topic property 'custom num 2'.
`static TopicProperty` | `CUSTOM_NUM3` This value represents the topic property 'custom num 3'.
`static TopicProperty` | `CUSTOM_NUM4` This value represents the topic property 'custom num 4'.
`static TopicProperty` | `CUSTOM_STR1` This value represents the topic property 'custom str 1'.
`static TopicProperty` | `CUSTOM_STR2` This value represents the topic property 'custom str 2'.
`static TopicProperty` | `CUSTOM_STR3` This value represents the topic property 'custom str 3'.
`static TopicProperty` | `CUSTOM_STR4` This value represents the topic property 'custom str 4'.
`static TopicProperty` | `DATE_CREATED` This value represents the topic property 'date created'.
`static TopicProperty` | `DATE_LAST_MODIFIED` This value represents the topic property 'date last modified'.
`static TopicProperty` | `DESCRIPTION` This value represents the topic property 'description'.
`static TopicProperty` | `EXPIRATION_DATE` This value represents the topic property 'expiration date'.
`static TopicProperty` | `FILE_ATTACHMENT_COUNT` This value represents the message property 'file attachment count'.
`static TopicProperty` | `KEYWORDS` This value represents the topic property 'keywords'.
`static TopicProperty` | `MASK_AUTHOR` This value represents the topic property 'mask author'.
`static TopicProperty` | `MESSAGE_COUNT` This value represents the topic property 'message count'.
`static TopicProperty` | `SUBJECT` This value represents the topic property 'name'.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static TopicProperty` | `get(java.lang.String sName)` Gets the property by the name in the system default locale.
`static java.util.List` | `getList()` Gets the list of properties.
`java.lang.String` | `getName()` Gets the name of the property using the system default locale.
`java.lang.String` | `getName(java.util.Locale locale)` Gets the name of the property using the specified locale.
`java.lang.String` | `getStoreValue()` Gets the value that's used to store the property in the storage system.
`java.lang.String` | `toString()` Returns a string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SUBJECT

    public static final TopicProperty SUBJECT

  This value represents the topic property 'name'.

### APPROVAL_STATUS

    public static final TopicProperty APPROVAL_STATUS

  This value represents the topic property 'approval status'.

### MASK_AUTHOR

    public static final TopicProperty MASK_AUTHOR

  This value represents the topic property 'mask author'.

### CONTENT_TYPE

    public static final TopicProperty CONTENT_TYPE

  This value represents the forum property 'content type'.

### DESCRIPTION

    public static final TopicProperty DESCRIPTION

  This value represents the topic property 'description'.

### KEYWORDS

    public static final TopicProperty KEYWORDS

  This value represents the topic property 'keywords'.

### FILE_ATTACHMENT_COUNT

    public static final TopicProperty FILE_ATTACHMENT_COUNT

  This value represents the message property 'file attachment count'.

### MESSAGE_COUNT

    public static final TopicProperty MESSAGE_COUNT

  This value represents the topic property 'message count'.

### DATE_CREATED

    public static final TopicProperty DATE_CREATED

  This value represents the topic property 'date created'.

### DATE_LAST_MODIFIED

    public static final TopicProperty DATE_LAST_MODIFIED

  This value represents the topic property 'date last modified'.

### EXPIRATION_DATE

    public static final TopicProperty EXPIRATION_DATE

  This value represents the topic property 'expiration date'.

### AUTHOR

    public static final TopicProperty AUTHOR

  This value represents the topic property 'author'.

### CUSTOM_NUM1

    public static final TopicProperty CUSTOM_NUM1

  This value represents the topic property 'custom num 1'.

### CUSTOM_NUM2

    public static final TopicProperty CUSTOM_NUM2

  This value represents the topic property 'custom num 2'.

### CUSTOM_NUM3

    public static final TopicProperty CUSTOM_NUM3

  This value represents the topic property 'custom num 3'.

### CUSTOM_NUM4

    public static final TopicProperty CUSTOM_NUM4

  This value represents the topic property 'custom num 4'.

### CUSTOM_STR1

    public static final TopicProperty CUSTOM_STR1

  This value represents the topic property 'custom str 1'.

### CUSTOM_STR2

    public static final TopicProperty CUSTOM_STR2

  This value represents the topic property 'custom str 2'.

### CUSTOM_STR3

    public static final TopicProperty CUSTOM_STR3

  This value represents the topic property 'custom str 3'.

### CUSTOM_STR4

    public static final TopicProperty CUSTOM_STR4

  This value represents the topic property 'custom str 4'.

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the property using the system default locale.
  Returns:
    the name

### getName

    public java.lang.String getName(java.util.Locale locale)

  Gets the name of the property using the specified locale.
  Parameters:
    `locale` - the locale
  Returns:
    the name

### getStoreValue

    public java.lang.String getStoreValue()

  Gets the value that's used to store the property in the storage system.
  Returns:
    the store value

### get

    public static TopicProperty get(java.lang.String sName)

  Gets the property by the name in the system default locale.
  Parameters:
    `sName` - the name in the system default locale
  Returns:
    the matching property or `null` if not found

### getList

    public static java.util.List getList()

  Gets the list of properties.
  Returns:
    the list of `TopicProperty`es (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The store value is used to determine equality, so that the language the name is represented in is not important.
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same store value as the argument, `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of the object

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns a string representation of the object.
  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.